<app-menu-lateral></app-menu-lateral>

<div class="main">
    <h4 class="text-light">Artigos</h4>
    <hr style="border: 1px solid whitesmoke;">

    <form (ngSubmit)="onSubmit()" ngNativeValidate>
        <div class="form-group">
            <input type="text" class="form-control" placeholder="Titulo" name="titulo" [(ngModel)]="conteudo.titulo"
                required="true">
        </div>        

        <div class="form-group">
            <input placeholder="Local da publicação" type="text" class="form-control" name="localDaPublicacao"
                [(ngModel)]="conteudo.localDaPublicacao" required="true">
        </div>

        <div class="form-group">
            <input placeholder="Ano da publicacao" class="form-control" type="text" name="anoDaPublicacao"
                [(ngModel)]="conteudo.anoDaPublicacao" required="true">
        </div>

        <div class="form-group">
            <input type="url" class="form-control" [(ngModel)]="conteudo.url" name="url"
                placeholder="Url de referência">
        </div>

        <div class="form-group">
            <input type="text" class="form-control" [(ngModel)]="conteudo.tags" name="tags" placeholder="Tags">
        </div>
        <button class="btn btn-primary" type="submit">Postar artigo</button>
    </form>

    <hr style="border: 1px solid whitesmoke;">
    <h5 class="text-light">Meus artigos</h5>

    <div class="container text-dark">
        <br>
        <div *ngFor="let artigo of listaArtigo">
            <div class="card">
                <div class="card-body">
                    <p class="card-text">{{artigo.conteudo?.titulo}}</p>
                    <p class="card-text">{{artigo.conteudo?.localDaPublicacao}}</p>
                    <p class="card-text">{{artigo.conteudo?.anoDaPublicacao}}</p>
                    <p class="card-text">{{artigo.conteudo?.url}}</p>
                </div>
                <div class="card-footer text-muted">
                    <div class="btn-group float-right" role="group">
                        <button type="button" class="btn btn-dark" (click)="getArtigo(artigo)" data-toggle="modal"
                            data-target="#editar">Editar</button>
    
                        <button type="button" class="btn btn-dark" (click)="getArtigo(artigo)" data-toggle="modal"
                            data-target="#excluir">Excluir</button>
                    </div>
                </div>
            </div>
            <br>
        </div>
    </div>
</div>

<!--Modal editar-->
    <div id="editar" class="modal fade" role="dialog">
        <div class="modal-dialog  text-dark">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Editar artigo</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">   
                        <div class="form-group">
                            <input type="text" placeholder="Titulo" class="form-control" name="conteudo"
                                    [(ngModel)]="auxConteudo.titulo"/>
                        </div>
                        <div class="form-group">
                            <input type="text" placeholder="Local da publicação" class="form-control" name="conteudo"
                            [(ngModel)]="auxConteudo.localDaPublicacao"/>
                        </div>
                        <div class="form-group">
                            <input type="text" placeholder="Ano da publicação" class="form-control" name="conteudo"
                            [(ngModel)]="auxConteudo.anoDaPublicacao"/>
                        </div>                
                        <div class="form-group">
                            <input type="text" placeholder="Url" class="form-control" name="conteudo"
                            [(ngModel)]="auxConteudo.url"/>
                        </div>
                        <div class="form-group">
                            <input type="text" placeholder="Tags" class="form-control" name="conteudo"
                            [(ngModel)]="auxConteudo.tags"/>
                        </div> 
                </div> 
                             
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" (click)="editar()" data-dismiss="modal">Editar</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>

<!--Modal deletar-->
<div id="excluir" class="modal fade" role="dialog">
    <div class="modal-dialog text-dark">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Remover aartigo</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <p>Deseja realmente excluir essa postagem?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" (click)="excluir()" data-dismiss="modal">Confirmar</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            </div>
        </div>

    </div>
</div>